﻿#include <iostream>
using namespace std;

void display_menu() {
  cout << "1. Convert USD to Euro (EUR)" << endl;
  cout << "2. Convert USD to British Pound Sterling (GBP)" << endl;
  cout << "3. Convert USD to Japanese Yen (JPY)" << endl;
  cout << "4. Convert USD to Canadian Dollar (CAD)" << endl;
  cout << "5. Exit" << endl;
  cout << "-------------------------" << endl;
  cout << "Enter a choice: ";
}

double USD_to_EU(double value) {
  return value * 0.87;
}

double USD_to_GBP(double value) {
  return value * 0.78;
}

double USD_to_JPY(double value) {
  return value * 108.55;
}

double USD_to_CAD(double value) {
  return value * 1.33;
}

int main() {
  int choice;
  double amount;

  display_menu();
  cin >> choice;
  while (choice != 5) {
    cout << "Enter an amount in US dollars: ";
    cin >> amount;
    switch (choice) {
      case 1:
        cout << amount << " USD = " << USD_to_EU(amount) << " Euro" << endl;
        break;
      case 2:
        cout << amount << " USD = " << USD_to_GBP(amount) << " GBP" << endl;
        break;
      case 3:
        cout << amount << " USD = " << USD_to_JPY(amount) << " JPY" << endl;
        break;
      case 4:
        cout << amount << " USD = " << USD_to_CAD(amount) << " CAD" << endl;
        break;
    }

    display_menu();
    cin >> choice;
  }
  return 0;
}
