﻿#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;

int get_consumption() {
  int consumption ;

  cout << "Enter kWh consumed: ";
  cin >> consumption;
  while (consumption < 0) {
    cout << "Error: Invalid number!" << endl;
    cout << "Enter a non-negative number: ";
    cin >> consumption;
  }
  return consumption;
}

double find_amount(int kwh) {
  double amount;

  if (kwh <= 400) {
    amount = kwh * 0.08;
  }
  else if (kwh <= 1500) {
    amount = 400 * 0.08 + (kwh - 400) * 0.22;
  }
  else if (kwh <= 2000) {
    amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35;
  }
  else {
    amount = 400 * 0.08 + 1100 * 0.22 + 500 * 0.35 + (kwh - 2000) * 0.50;
  }

  amount += 0.26 * amount;
  return amount;
}

int main() {
  int kwh;
  string answer;

  do {
    kwh = get_consumption();
    cout << "You need to pay: " << find_amount(kwh) << endl;

    cout << "Would you like to repeat? ";
    cin >> answer;
  } while (to_upper_copy(answer) == "YES");
  return 0;
}
