﻿#include <iostream>
#include <ctime>
#include <cstdlib>
using namespace std;

const int ELEMENTS = 100;

int dice() {
  return 1 + rand() % 6;
}

int search_and_count(int x,  int a[]) {
  int count = 0;
  int i;

  for (i = 0; i <= ELEMENTS - 1; i++) {
    if (a[i] == x) {
      count++;
    }
  }
  return count;
}

int main() {
  int i, maximum, max_i;

  srand(time(NULL));

  //Create array a of random integers between 1 and 6
  int a[ELEMENTS];
  for (i = 0; i <= ELEMENTS - 1; i++) {
    a[i] = dice();
  }

  //Create array n and display how many times each of the six numbers appears in array a
  int n[6];
  for (i = 0; i <= 5; i++) {
    n[i] = search_and_count(i + 1, a);
    cout << "Value " << i + 1 << " appears " << n[i] << " times" << endl;
  }

  //Find maximum of array n
  maximum = n[0];
  max_i = 0;
  for (i = 1; i <= 5; i++) {
    if (n[i] > maximum) {
      maximum = n[i];
      max_i = i;
    }
  }

  //Display which number appears in the array most often.
  cout << "Value " << max_i + 1 << " appears in the array " << maximum << " times." << endl;
  return 0;
}
