﻿#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;

string part1(int i) {
  string gender, temp1;

  do {
    cout << "Enter gender for citizen No " << i << ": ";
    cin >> temp1;
    gender = to_lower_copy(temp1);
  } while (gender != "male" && gender != "female");

  return gender;
}

string part2() {
  string temp2, answer;

  do {
    cout << "Do you go jogging in the afternoon? ";
    cin >> temp2;
    answer = to_lower_copy(temp2);
  } while (answer != "yes" && answer != "no" && answer != "sometimes");

  return answer;
}

void part3(string answer, string gender, int &total_yes, int &female_no) {
  if (answer == "yes") {
    total_yes++;
  }

  if (gender == "female" && answer == "no") {
    female_no++;
  }
}

void part4(int total_yes, int female_no) {
  cout << "Total positive answers: " << total_yes << endl;
  cout << "Women's negative answers: " << female_no << endl;
}

int main() {
  int i, total_yes, female_no;
  string gender, answer;

  total_yes = 0;
  female_no = 0;
  for (i = 1; i <= 100; i++) {
    gender = part1(i);
    answer = part2();

    part3(answer, gender, total_yes, female_no);
  }

  part4(total_yes, female_no);
  return 0;
}
