﻿#include <iostream>
using namespace std;

class FahrenheitToCelsius {
public:
  double temperature;

  //Define the constructor
  FahrenheitToCelsius(double value) {
    this->setTemperature(value);   //Use a method to set the value of the field temperature
  }

  //This method gets the temperature
  double getTemperature() {
    return 5.0 / 9.0 * (this->temperature - 32.0);
  }

  //This method sets the temperature
  void setTemperature(double value) {
    if (value >= -459.67) {
      this->temperature = value;
    }
    else {
      throw "There is no temperature below -459.67";
    }
  }
};

int main() {
  FahrenheitToCelsius x(-500);  //Create object x
  cout << x.getTemperature() << endl;
  return 0;
}
