﻿#include <iostream>
using namespace std;

class FahrenheitToCelsius {
private:
  double _temperature;  //Declare field temperature as private

public:
  //Define the constructor
  FahrenheitToCelsius(double value) {
    this->setTemperature(value);   //Call the setter
  }

  //This method gets the temperature
  double getTemperature() {
    return 5.0 / 9.0 * (this->_temperature - 32.0);
  }

  //This method sets the temperature
  void setTemperature(double value) {
    if (value >= -459.67) {
      this->_temperature = value;
    }
    else {
      throw "There is no temperature below -459.67";
    }
  }
};

int main() {
  FahrenheitToCelsius x(-50);  //Create object x. The constructor is
                               //called which, in turn,
                               //calls the setter
  cout << x.getTemperature() << endl;  //This calls the getter.

  x.setTemperature(-65);               //This calls the setter.
  cout << x.getTemperature() << endl;  //This calls the getter.

  x._temperature = -50;             //This is NOT permitted!
  cout << x._temperature << endl;   //This is NOT permitted as well!
  
  return 0;
}
